using LinqToDB.Mapping;
using Azaion.Flights.Enums;

namespace Azaion.Flights.Database.Entities;

[Table("aircrafts")]
public class Aircraft
{
    [PrimaryKey]
    [Column("id")]
    public Guid Id { get; set; }

    [Column("type")]
    public AircraftType Type { get; set; }

    [Column("model")]
    public string Model { get; set; } = string.Empty;

    [Column("name")]
    public string Name { get; set; } = string.Empty;

    [Column("fuel_type")]
    public FuelType FuelType { get; set; }

    [Column("battery_capacity")]
    public decimal BatteryCapacity { get; set; }

    [Column("engine_consumption")]
    public decimal EngineConsumption { get; set; }

    [Column("engine_consumption_idle")]
    public decimal EngineConsumptionIdle { get; set; }

    [Column("is_default")]
    public bool IsDefault { get; set; }
}
